local grandTotal = 0;
local count = 0;
local cols = {["one"]=0, ["two"]=0, ["thr"]=0 , ["fou"]=0, ["fiv"]=0, ["six"]=0, ["sev"]=0, ["egh"]=0, ["nin"]=0, ["ten"]=0, ["ele"]=0, ["twe"]=0};
local colors = {"#FF6666", "#FFB266", "#FFFF66", "#66FFB2", "#66FFFF", "#66B2FF", "#6666FF", "#B266FF", "#FF66FF", "#FF66B2",  "#66FF66", "#B2FF66"};

function handle_record(record)
    grandTotal = grandTotal + record:get('OVERALL');
    for key, value in pairs(cols) do
        cols[key] = cols[key] + record:get(key);
    end
    local color = colors[1 + (count % #colors)];
    count = count + 1;
    record:set('COLOR', color);
end

function complete(result)
    result:set("GRAND_TOTAL", grandTotal);
    for key, value in pairs(cols) do
        result:set("TOTAL_" .. key, value);
    end
end